Bug 111247 - New port: sysutil/linux-procfs rpm port of procps
Summary: New port: sysutil/linux-procfs rpm port of procps
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Ports Bugs (Mailing List)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-05 03:50 UTC by leres
Modified: 2007-09-07 07:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description leres 2007-04-05 03:50:04 UTC
	This is a Linux/i386 rpm port of procps.

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	Makefile
#	distinfo.i386
#	pkg-descr
#	pkg-plist
#
echo x - Makefile
sed 's/^X//' >Makefile << 'END-of-Makefile'
X# New ports collection makefile for:	linux-procps
X# Date created:				2007-04-04
X# Whom:					leres
X#
X# $FreeBSD$
X#
X
XPORTNAME=	procps
XPORTVERSION=	3.2.5
XCATEGORIES=	sysutils linux
XDISTNAME=	${PORTNAME}-${PORTVERSION}-6.4
X
XMAINTAINER=	freebsd-emulation@FreeBSD.org
XCOMMENT=	Linux psproc binaries
X
XUSE_LINUX_RPM=	yes
XONLY_FOR_ARCHS=	i386
XLINUX_DIST_VER=	4
XUSE_LDCONFIG=	yes
XBRANDELF_DIRS=	bin sbin usr/bin
XPLIST_SUB+=	PORTVERSION="${PORTVERSION}"
X
XPROCFS=		/compat/linux/proc
Xpost-install:
X	@df ${PROCFS} 2>&1 | ${EGREP} '^linprocfs ' > /dev/null 2>&1 || (echo ">>>" ; echo ">>> You still need to mount ${PROCFS}; see linprocfs(5)" ; echo ">>> for more information" ; echo ">>>")
X
X.include <bsd.port.mk>
END-of-Makefile
echo x - distinfo.i386
sed 's/^X//' >distinfo.i386 << 'END-of-distinfo.i386'
XMD5 (rpm/i386/fedora/4/procps-3.2.5-6.4.i386.rpm) = 62fb07e1743b4b22687bd01b9817951f
XSHA256 (rpm/i386/fedora/4/procps-3.2.5-6.4.i386.rpm) = 83c826a342f864db6bc6713828d258488f076859dcdb130169920aed9ad78d34
XSIZE (rpm/i386/fedora/4/procps-3.2.5-6.4.i386.rpm) = 207122
END-of-distinfo.i386
echo x - pkg-descr
sed 's/^X//' >pkg-descr << 'END-of-pkg-descr'
XThis is a Linux/i386 rpm port of procps.
X
X	procps is the package that has a bunch of small useful
X	utilities that give information about processes using the
X	/proc filesystem. The package includes the programs ps,
X	top, vmstat, w, kill, free, slabtop, and skill.
X
XWWW:	http://procps.sourceforge.net/
END-of-pkg-descr
echo x - pkg-plist
sed 's/^X//' >pkg-plist << 'END-of-pkg-plist'
Xbin/ps
Xlib/libproc-%%PORTVERSION%%.so
Xsbin/sysctl
Xusr/bin/free
Xusr/bin/pgrep
Xusr/bin/pkill
Xusr/bin/pmap
Xusr/bin/pwdx
Xusr/bin/skill
Xusr/bin/slabtop
Xusr/bin/snice
Xusr/bin/tload
Xusr/bin/top
Xusr/bin/uptime
Xusr/bin/vmstat
Xusr/bin/w
Xusr/bin/watch
Xusr/share/doc/procps-%%PORTVERSION%%/BUGS
Xusr/share/doc/procps-%%PORTVERSION%%/FAQ
Xusr/share/doc/procps-%%PORTVERSION%%/NEWS
Xusr/share/doc/procps-%%PORTVERSION%%/TODO
Xusr/share/man/man1/free.1.gz
Xusr/share/man/man1/pgrep.1.gz
Xusr/share/man/man1/pkill.1.gz
Xusr/share/man/man1/pmap.1.gz
Xusr/share/man/man1/ps.1.gz
Xusr/share/man/man1/pwdx.1.gz
Xusr/share/man/man1/skill.1.gz
Xusr/share/man/man1/slabtop.1.gz
Xusr/share/man/man1/snice.1.gz
Xusr/share/man/man1/tload.1.gz
Xusr/share/man/man1/top.1.gz
Xusr/share/man/man1/uptime.1.gz
Xusr/share/man/man1/w.1.gz
Xusr/share/man/man1/watch.1.gz
Xusr/share/man/man5/sysctl.conf.5.gz
Xusr/share/man/man8/sysctl.8.gz
Xusr/share/man/man8/vmstat.8.gz
END-of-pkg-plist
exit
Comment 1 sluggo 2007-07-19 02:15:39 UTC
Any chance this will be committed soon? It would be really nice to have.

-- 
http://kim.scarborough.chicago.il.us/
http://www.dinosaurgardens.com/
http://www.mercurytheatre.info/
http://www.unknown.nu/
Comment 2 Edwin Groothuis freebsd_committer 2007-09-07 07:42:21 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 3 dfilter freebsd_committer 2007-09-07 07:43:35 UTC
edwin       2007-09-07 06:43:30 UTC

  FreeBSD ports repository

  Modified files:
    sysutils             Makefile 
  Added files:
    sysutils/linux-procfs Makefile distinfo.i386 pkg-descr 
                          pkg-plist 
  Log:
  New port: sysutil/linux-procfs rpm port of procps
  
          This is a Linux/i386 rpm port of procps.
  
          procps is the package that has a bunch of small useful utilities
          that give information about processes using the /proc filesystem.
          The package includes the programs ps, top, vmstat, w, kill,
          free, slabtop, and skill.
  
          WWW: http://procps.sourceforge.net/
  
  PR:             ports/111247
  Submitted by:   leres@ee.lbl.gov (Craig Leres)
  
  Revision  Changes    Path
  1.939     +1 -0      ports/sysutils/Makefile
  1.1       +28 -0     ports/sysutils/linux-procfs/Makefile (new)
  1.1       +6 -0      ports/sysutils/linux-procfs/distinfo.i386 (new)
  1.1       +8 -0      ports/sysutils/linux-procfs/pkg-descr (new)
  1.1       +40 -0     ports/sysutils/linux-procfs/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"